# == Class: xymon::client::install
#
# Install Xymon client
#
class xymon::client::config {

  File {
    owner => root,
    group => root,
    mode  => 0644,
  }

  # Service initscript
  file { $xymon::client::service_default_path:
    ensure  => present,
    content => template($xymon::client::service_default_tpl),
    notify  => Service[$xymon::client::service_name],
  }
  ->
  file { $xymon::client::service_path:
    ensure  => present,
    mode    => '0754',
    content => template($xymon::client::service_tpl),
    notify  => Service[$xymon::client::service_name],
  }

  # Client Configuration
  file { $xymon::client::main_cfg_path:
    ensure  => present,
    content => template($xymon::client::main_cfg_tpl),
    notify  => Service[$xymon::client::service_name],
  }


} # Private class: xymon::client::config
