# == Class: xymon::params
#
class xymon::params {
  case $::osfamily {
    'Debian': {

      ## Client
      # Package
      $cli_download_dir           = '/opt/xymon/packages'
      $cli_download_url           = undef
      $cli_new_version            = '4.3.17'
      $cli_package_name           = undef
      $cli_pkg_ensure             = 'present'
      $cli_pkg_provider           = 'dpkg'
      # Service
      $cli_service_enabled        = true
      $cli_service_managed        = true
      $cli_service_name           = 'xymon-client'
      $cli_service_default_path   = '/etc/default/xymon-client'
      $cli_service_default_tpl    = 'xymon/client/default.service.erb'
      $cli_service_path           = '/etc/init.d/xymon-client'
      $cli_service_tpl            = 'xymon/client/xymon-client.deb_service.erb'
      # Configuration
      $cli_main_cfg_path          = '/etc/xymon/xymonclient.cfg'
      $cli_main_cfg_tpl           = 'xymon/client/xymonclient.cfg.erb'
      $list_server                = [ '127.0.0.1' ]

      ## Plugin
      # Package
      $plugin_download_url        = undef
      $plugin_pkg_name            = 'hobbit-plugins'
      $plugin_pkg_source          = 'puppet:///modules/xymon/client/hobbit-plugins_20141201_all_gardouille.deb'
      $plugin_pkg_ensure          = 'present'
      $plugin_pkg_provider        = 'dpkg'
      $plugin_sug_pkg_name        = [ 'dctrl-tools', 'libsort-naturally-perl', 'libyaml-tiny-perl', 'lsb-release', 'lsof', 'debsums', 'fping', 'liblist-moreutils-perl', 'libsysadm-install-perl', 'libtimedate-perl', 'dphys-config' ]


    }
    default: {
      fail('This Puppet module has been tested only on Debian OS family.')
    }

  }


} # Private class: xymon::params
